Index: other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Basic/archives/HASH0172bf8e/ccdb2b87.dir/doc.xml
===================================================================
--- other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Basic/archives/HASH0172bf8e/ccdb2b87.dir/doc.xml	(revision 28037)
+++ 	(revision )
@@ -1,473 +1,0 @@
-<?xml version="1.0" encoding="utf-8" standalone="no"?>
-<!DOCTYPE Archive SYSTEM "http://greenstone.org/dtd/Archive/1.0/Archive.dtd">
-<Archive>
-<Section>
-  <Description>
-    <Metadata name="gsdlsourcefilename">import/englishhistory.net/tudor/monarchs/eliz5.html</Metadata>
-    <Metadata name="gsdldoctype">indexed_doc</Metadata>
-    <Metadata name="Plugin">HTMLPlugin</Metadata>
-    <Metadata name="FileSize">30106</Metadata>
-    <Metadata name="Source">eliz5.html</Metadata>
-    <Metadata name="SourceFile">eliz5.html</Metadata>
-    <Metadata name="Language">en</Metadata>
-    <Metadata name="Encoding">windows_1252</Metadata>
-    <Metadata name="Author">Marilee Mongello</Metadata>
-    <Metadata name="Content">Queen Elizabeth I: Biography, Portraits with commentary, Primary Sources Elizabeth Tudor 1533 to 1603 The Virgin Queen Gloriana</Metadata>
-    <Metadata name="Page_topic">Queen Elizabeth I: Biography, Portraits with commentary, Primary Sources Elizabeth Tudor 1533 to 1603 The Virgin Queen Gloriana</Metadata>
-    <Metadata name="Title">Queen Elizabeth I: Biography, Portraits, Primary Sources</Metadata>
-    <Metadata name="FileFormat">HTML</Metadata>
-    <Metadata name="URL">http://englishhistory.net/tudor/monarchs/eliz5.html</Metadata>
-    <Metadata name="UTF8URL">http://englishhistory.net/tudor/monarchs/eliz5.html</Metadata>
-    <Metadata name="Identifier">HASH0172bf8eccdb2b873b219c61</Metadata>
-    <Metadata name="lastmodified">1375764395</Metadata>
-    <Metadata name="lastmodifieddate">20130806</Metadata>
-    <Metadata name="oailastmodified">1375765215</Metadata>
-    <Metadata name="oailastmodifieddate">20130806</Metadata>
-    <Metadata name="assocfilepath">HASH0172bf8e/ccdb2b87.dir</Metadata>
-    <Metadata name="gsdlassocfile">eliz1-queenuse.gif:image/gif:</Metadata>
-    <Metadata name="gsdlassocfile">eliz5-mainpic.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">philipos-crop.jpg:image/jpeg:</Metadata>
-    <Metadata name="gsdlassocfile">eliz1-oldercrop.jpg:image/jpeg:</Metadata>
-  </Description>
-  <Content>
-
-&lt;table border=&quot;0&quot; cellpadding=&quot;3&quot; width=&quot;100%&quot; height=&quot;667&quot;&gt;
-  &lt;tr&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;29&quot;&gt;&lt;/td&gt;
-    &lt;td valign=&quot;top&quot; width=&quot;50%&quot; height=&quot;29&quot;&gt;&lt;p align=&quot;center&quot;&gt;&amp;nbsp;&lt;/td&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;29&quot;&gt;&lt;/td&gt;
-  &lt;/tr&gt;
-  &lt;tr&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;3&quot;&gt;&lt;/td&gt;
-    &lt;td width=&quot;50%&quot; height=&quot;3&quot;&gt;
-    &lt;p align=&quot;center&quot;&gt;
-    &lt;IMG height=98 alt=&quot;Queen Elizabeth I&quot; 
-      src=&quot;_httpdocimg_/eliz1-queenuse.gif&quot; width=422&gt;&lt;/td&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;3&quot;&gt;&lt;/td&gt;
-  &lt;/tr&gt;
-  &lt;tr&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;610&quot;&gt;&lt;/td&gt;
-    &lt;td valign=&quot;top&quot; width=&quot;50%&quot; height=&quot;610&quot;&gt;
-    &lt;p align=&quot;center&quot;&gt;
-    &lt;IMG height=427 alt=&quot;crop from the famous 'Armada Portrait' of Elizabeth I&quot; 
-      src=&quot;_httpdocimg_/eliz5-mainpic.jpg&quot; width=325 border=2&gt;&lt;blockquote&gt;
-    &lt;p align=&quot;left&quot;&gt;
-    &amp;nbsp;&lt;/blockquote&gt;
-      &lt;DIV align=left&gt;Visit
-        &lt;a href=&quot;_httpextlink_&amp;amp;rl=0&amp;amp;href=http:%2f%2fwww.marileecody.com%2feliz1-images.html&quot;&gt;Elizabethan 
-      Images&lt;/a&gt; to view portraits of the queen and her courtiers, with 
-      commentary.&lt;BR&gt;Read poems, letters, and speeches by the queen at &lt;A 
-      href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2fprimary.html&quot;&gt;Primary 
-      Sources&lt;/A&gt;.&lt;/DIV&gt;
-      &lt;DIV align=left&gt;&amp;nbsp;&lt;/DIV&gt;
-      &lt;DIV align=left&gt;Read ES Beesly's 1892 biography of Queen 
-        Elizabeth I at &lt;a href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2fsecondary.html&quot;&gt;
-        Secondary Sources&lt;/a&gt;.&lt;BR&gt;&lt;BR&gt;Visit &lt;A 
-      href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2fmonarchs%2fboleyn.html&quot;&gt;the Anne 
-      Boleyn website&lt;/A&gt; to learn more about Elizabeth's mother.&lt;BR&gt;Visit &lt;A 
-      href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2frelative%2fmaryqos.html&quot;&gt;the Mary, 
-      queen of Scots website&lt;/A&gt; to learn more about Elizabeth's 
-      cousin.&lt;BR&gt;&lt;BR&gt;Test your knowledge of Elizabeth's life and times at &lt;A 
-      href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2ftudor1.html&quot;&gt;Tudor 
-      Quizzes&lt;/A&gt;.&lt;/DIV&gt;
-      &lt;DIV align=left&gt;&amp;nbsp;&lt;/DIV&gt;
-      &lt;DIV align=left&gt;Meet other Elizabethan enthusiasts at
-        &lt;a href=&quot;_httpextlink_&amp;amp;rl=0&amp;amp;href=http:%2f%2fwww.alassea.net%2ffl%2felizabeth&quot;&gt;The Virgin Queen 
-        fanlisting&lt;/a&gt;.&lt;/DIV&gt;
-      &lt;DIV align=left&gt;&amp;nbsp;&lt;/DIV&gt;
-      &lt;/td&gt;
-    &lt;td width=&quot;25%&quot; height=&quot;610&quot;&gt;&lt;/td&gt;
-  &lt;/tr&gt;
-&lt;/table&gt;
-
-&lt;blockquote&gt;
-  &lt;blockquote&gt;
-    &lt;blockquote&gt;
-      &lt;hr&gt;
-    &lt;/blockquote&gt;
-  &lt;/blockquote&gt;
-  &lt;p&gt;&lt;font size=&quot;4&quot;&gt;'She is certainly a great Queen and were she only a Catholic 
-  she would be our dearly beloved.&amp;nbsp; Just look how well she governs!&amp;nbsp; 
-  She is only a woman, only mistress of half an island, and yet she makes 
-  herself feared by Spain, by France, by the Empire, by all....&amp;nbsp; Our 
-  children would have ruled the whole world.'&amp;nbsp;&amp;nbsp; &lt;/font&gt;&lt;I&gt;&lt;FONT size=-1&gt;
-  Pope Sixtus V describes Elizabeth, c1588&lt;/FONT&gt;&lt;/I&gt;&lt;font size=&quot;2&quot;&gt; &lt;/font&gt;&lt;/p&gt;
-  &lt;blockquote&gt;
-    &lt;blockquote&gt;
-      &lt;hr&gt;
-      &lt;p&gt;When news of the execution of Mary, queen of Scots reached Europe, it 
-      gave Philip II of Spain yet another reason to look askance at his former 
-      sister-in-law.&amp;nbsp; English harassment of Spanish shipping and their 
-      support of rebellions against his rule had long angered him.&amp;nbsp; He had 
-      tried diplomacy; it had been successful enough until Elizabeth's 
-      Protestant councilors grew suspicious of his motives and angry over his 
-      treatment of continental Protestants.&amp;nbsp; After diplomacy came a gradual 
-      cooling between the countries; Philip even tried his hand at encouraging 
-      Irish rebellions against Elizabeth.&amp;nbsp; And Philip grew increasingly 
-      pious as the years passed, and thus more inclined to take the 
-      excommunication of 1570 more seriously.&lt;/p&gt;
-    &lt;p&gt;
-    &lt;img border=&quot;2&quot; src=&quot;_httpdocimg_/philipos-crop.jpg&quot; lowsrc=&quot;http://englishhistory.net/tudor/Philip%20II%20of%20Spain&quot; width=&quot;155&quot; height=&quot;282&quot; align=&quot;left&quot;&gt;Serious consequences were avoided for the first thirty years of 
-    Elizabeth's rule due to her own prevarication and Philip's more pressing 
-    problems.&amp;nbsp; But as the 1580s began, it was clear that something must 
-    give.&amp;nbsp; Philip could no longer afford the blatant piracy of the English, 
-    publicly disavowed but privately approved by Elizabeth (who always received 
-    the largest share of profits.)&amp;nbsp; She had even gone so far as to knight 
-    her greatest pirate, Sir Francis Drake, in 1581.&amp;nbsp; Four years later, the 
-    English openly supported the Netherlands when it revolted against Philip, a 
-    dangerous but popular policy for Elizabeth.&amp;nbsp; Furthermore, Philip had 
-    long claimed the throne of Portugal but had only recently seized it by force 
-    of arms.&amp;nbsp; If he wished to maintain control, he needed to defend the 
-    rich and wide-ranging Portuguese colonies.&lt;/p&gt;
-    &lt;p&gt;Philip also needed to end the Protestant menace to Europe.&amp;nbsp; He 
-    supported plans to free Mary, queen of Scots and place her on the English 
-    throne.&amp;nbsp; His ambassador Mendoza had been peripherally involved in the 
-    Babington Plot and was expelled from England as a result.&amp;nbsp; Many of 
-    Elizabeth's councilors, most importantly the influential Robert Dudley, had 
-    advocated a tougher approach to Spanish meddling.&amp;nbsp; But always the 
-    queen, mindful of her treasury and always desiring peace, had held back.&amp;nbsp; 
-    She would send a few troops and some money, but little else.&amp;nbsp; Philip, 
-    however, had less love of peace and a more pressing piety.&amp;nbsp; England 
-    would be brought back into the Catholic fold, as the pope had commanded in 
-    1570.&amp;nbsp; The execution of Mary, queen of Scots in early 1587 gave him 
-    added impetus to act.&amp;nbsp; The English had sought to publicize Mary's 
-    various crimes, but most Europeans, even the Scots who had applauded her 
-    overthrow years ago, preferred the more tragic image of an innocent queen 
-    trapped by Elizabeth's wily councilors.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Philip spent much of 1587 finally preparing his long-rumored 'Armada' 
-    against England.&amp;nbsp; While Elizabeth's council had long warned her of this 
-    possibility, Philip's own advisors believed he could ill afford this new 
-    battle.&amp;nbsp; The Spanish fleet and army had fought too long and hard over 
-    the years.&amp;nbsp; They comprised the largest and best-prepared army and navy 
-    in the world; they had been successful against the Turks, had watched their 
-    traditional enemy, France, succumb to internal religious turmoil, had seized 
-    Portugal, and fought throughout the Low Countries.&amp;nbsp; But victories could 
-    be as tiresome and expensive as defeats.&amp;nbsp; Morale was low and leadership 
-    was lacking.&lt;/p&gt;
-    &lt;p&gt;Philip's advisors consistently stressed the expense of the proposed 
-    battle.&amp;nbsp; But for the king, expenses were driving him to fight.&amp;nbsp; He 
-    needed to stop the English from seizing Spanish ships filled with precious 
-    coin and goods.&amp;nbsp; Each loss was a further blow to a nearly empty 
-    treasury.&amp;nbsp; There was no better time to fight than now, he declared, for 
-    the murder of Mary Stuart had at last united European opinion against 
-    Elizabeth.&amp;nbsp; In July 1587, he received official approval from the pope 
-    for the invasion, provided England returned to Catholicism.&amp;nbsp; The pope 
-    even agreed to allow Philip to choose the next English ruler.&amp;nbsp; It would 
-    in all likelihood be the Spanish king himself for he claimed descent from 
-    the famous Edward III.&lt;/p&gt;
-    &lt;p&gt;As further impetus to Philip, even as he negotiated approval of the 
-    invasion with the pope, Drake led an expedition into Spain itself, seizing 
-    and destroying many vessels.&amp;nbsp; Elizabeth protested that Drake had acted 
-    without her knowledge; this may have been true.&amp;nbsp; Certainly the queen 
-    had no desire for war.&amp;nbsp; But her protestations did not matter.&amp;nbsp; It 
-    was an audacious act which could not go unpunished.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Elizabeth, of course, knew of the Spanish army lodged in the Low 
-    Countries, so close to English shores and able to intercept English 
-    shipping.&amp;nbsp; When word came that these forces were being steadily 
-    increased and an armada of Spanish ships was being prepared for battle, she 
-    could no longer debate and hesitate.&amp;nbsp; The impending threat was too 
-    obvious to ignore.&lt;/p&gt;
-    &lt;p&gt;Yet what could England do against the great Spanish fleet?&amp;nbsp; All of 
-    Europe, and many Englishmen, believed England could not withstand the 
-    overwhelming Spanish force.&lt;/p&gt;
-      &lt;hr&gt;
-    &lt;/blockquote&gt;
-  &lt;/blockquote&gt;
-  &lt;p&gt;&lt;font size=&quot;4&quot;&gt;'Let tyrants fear, I have always so behaved 
-    myself that, under God, I have placed my chiefest strength and safeguard in 
-  the loyal hearts and good-will of my subjects... I know I have the body but of 
-  a weak and feeble woman; but I have the heart and stomach of a king, and of a 
-  king of England too, and think foul scorn that Parma or Spain, or any prince 
-  of Europe, should dare to invade the borders of my realm...'&amp;nbsp;&amp;nbsp;
-  &lt;/font&gt; &lt;i&gt;
-    &lt;font size=&quot;2&quot;&gt;from Elizabeth I's speech to the troops at Tilbury, 1588&lt;/font&gt;&lt;/i&gt;&lt;/p&gt;
-  &lt;blockquote&gt;
-    &lt;blockquote&gt;
-      &lt;hr&gt;
-    &lt;p&gt;The Armada which sailed against England is sometimes called 'The 
-    Invincible Armada', but its correct name is La Armada Grande.&amp;nbsp; Its 
-    supreme commander was the duke of Medina Sidonia, a nobleman who had done 
-    all he could to avoid this appointment.&amp;nbsp; He spent hours urging Philip, 
-    in the most polite and obsequious way possible, 
-    to find someone else, pointing out his own lack of experience in naval 
-    matters.&amp;nbsp; But the king would not listen.&amp;nbsp; Spain's greatest naval 
-    commander Don Alvaro de Bazan the elder, the marquess of Santa Cruz, had 
-    died and there had been a long, fruitless search for a suitable replacement.&amp;nbsp; 
-    The conscientious Medina Sidonia was Philip's choice, much to the duke's 
-    everlasting regret.&lt;/p&gt;
-    &lt;p&gt;The Armada sailed from Lisbon on 20 May 1588, a grand procession of 130 
-    ships and over 30,000 men.&amp;nbsp; However, half of the vessels were transport 
-    ships and the majority of men were soldiers, not sailors.&amp;nbsp; Medina 
-    Sidonia was to sail to Flanders, where he would join the prince of Parma who 
-    waited with more soldiers and transports.&amp;nbsp; But the Armada stopped first 
-    in Corunna for some repair work and Medina Sidonia wrote to Philip, asking 
-    for the invasion to be postponed indefinitely.&amp;nbsp; The king was adamant, 
-    however, and the fleet sailed to Flanders.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Their arrival was expected and observed by the English.&amp;nbsp; Under the 
-    command of Lord Howard, they set out from Plymouth, under cover of night.&amp;nbsp; 
-    They managed to destroy some of the chief Spanish ships so that, with 
-    reinforcements, their numbers roughly equaled the Spanish.&amp;nbsp; More 
-    importantly, in terms of command and gunnery, the English had a far superior 
-    advantage.&amp;nbsp; By the time of the great battle off Gravelines, each fleet 
-    had roughly sixty warships.&amp;nbsp; The Spaniards fought heroically, but 
-    Howard was relentless.&amp;nbsp; The English ships were more agile and their 
-    commanders more inventive.&amp;nbsp; They did not allow the Spanish time to regroup 
-    and refit.&amp;nbsp; Only one Spanish ship was captured but several sank or ran 
-    ashore.&amp;nbsp; Medina Sidonia decided to lead the remaining fleet home, 
-    sailing along the north of Scotland and Ireland.&amp;nbsp; They met constant 
-    storms and rough seas, and not one pilot remained in the whole fleet.&amp;nbsp; 
-    Each passing storm destroyed more ships until, when the Armada finally 
-    limped home in the mid-September, half the fleet and most of its men were 
-    gone.&lt;/p&gt;
-    &lt;p&gt;The defeat of the Armada was justly celebrated in Elizabeth's time.&amp;nbsp; 
-    It continues to be one of the most famous naval victories in history.&amp;nbsp; 
-    There is an engaging aspect to the whole story - the English fleet taking on 
-    the greatest naval power in the world and, against all odds, winning a 
-    stunning victory.&amp;nbsp; The psychological effect upon both nations was 
-    enormous.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Yet, upon closer inspection, the victory was neither as unexpected or 
-    immediately successful as is often believed.&amp;nbsp; The English navy had 
-    always been superior in tactics and gunnery than the Spanish, but had 
-    suffered from Elizabeth's penny-pinching support.&amp;nbsp; They simply never 
-    had enough money to build the ships and pay the sailors needed to become a 
-    world-class naval power.&amp;nbsp; The Spanish took so long to rebuild their 
-    navy that England finally had their opportunity, and they seized it with 
-    enthusiasm.&amp;nbsp; England would become the undisputed master of the seas.&lt;/p&gt;
-    &lt;p&gt;But Spain was not nearly finished as a world power.&amp;nbsp; Barely two 
-    years after the Armada, they were virtually omnipotent in European affairs.&amp;nbsp; 
-    The religious turmoil in France had weakened their traditional enemy to such 
-    an extent that Spain stood unchallenged until 1598, when Henri of Navarre 
-    converted to Catholicism.&amp;nbsp; The balance of power in Europe was thus 
-    restored.&amp;nbsp; But Spain's army continued to grow until their dominance of 
-    land warfare equaled England's naval power.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;For Elizabeth, of course, the most important development was the most 
-    immediate - a brilliant victory over her greatest enemy, whose threats to 
-    invade had haunted most years of her reign.&amp;nbsp; She could breathe a 
-    much-deserved sigh of relief.&amp;nbsp; And she deserved no small credit for the 
-    success.&amp;nbsp; Her speech to the troops at Tilbury, rallying them to fight, 
-    remains justly famous; it is among her most stirring:&lt;/p&gt;
-      &lt;blockquote&gt;
-    &lt;p&gt;My loving people,
-    We have been persuaded by some that are careful of our safety, to take heed 
-    how we commit our selves to armed multitudes, for fear of treachery; but I 
-    assure you I do not desire to live to distrust my faithful and loving 
-    people. Let tyrants fear, I have always so behaved myself that, under God, I 
-    have placed my chiefest strength and safeguard in the loyal hearts and 
-    good-will of my subjects; and therefore I am come amongst you, as you see, 
-    at this time, not for my recreation and disport, but being resolved, in the 
-    midst and heat of the battle, to live and die amongst you all; to lay down 
-    for my God, and for my kingdom, and my people, my honour and my blood, even 
-    in the dust. I know I have the body but of a weak and feeble woman; but I 
-    have the heart and stomach of a king, and of a king of England too, and 
-    think foul scorn that Parma or Spain, or any prince of Europe, should dare 
-    to invade the borders of my realm; to which rather than any dishonour shall 
-    grow by me, I myself will take up arms, I myself will be your general, 
-    judge, and rewarder of every one of your virtues in the field. I know 
-    already, for your forwardness you have deserved rewards and crowns; and We 
-    do assure you in the word of a prince, they shall be duly paid you. In the 
-    mean time, my lieutenant general shall be in my stead, than whom never 
-    prince commanded a more noble or worthy subject; not doubting but by your 
-    obedience to my general, by your concord in the camp, and your valour in the 
-    field, we shall shortly have a famous victory over those enemies of my God, 
-    of my kingdom, and of my people. &lt;br&gt;
-&amp;nbsp;&lt;/p&gt;
-      &lt;/blockquote&gt;
-    &lt;p&gt;She enjoyed a renaissance of sorts among her people after the Armada.&amp;nbsp; 
-    She had already ruled for thirty years.&amp;nbsp; Those years of peace and 
-    general prosperity had led to an inevitable resentment amongst her subjects, 
-    particularly the young noblemen who now dominated her court.&amp;nbsp; They 
-    wanted adventure, glory, grand military exploits; they were fervent 
-    nationalists who wanted England to finally challenge the great powers of 
-    Europe; they believed themselves capable of anything.&amp;nbsp; And Elizabeth, 
-    nearing sixty, would regard them with either amusement or anger.&amp;nbsp; They 
-    did not know the price of war, she would complain; they did not understand 
-    how difficult it had been to bring peace and security to England.&amp;nbsp; They 
-    had not lived through the tumultuous reigns of her father and siblings.&amp;nbsp; 
-    They did not remember the bitter religious divide, which even now she only 
-    bridged with her inestimable charm and intellect.&amp;nbsp; England was at peace 
-    and her young courtiers chafed at peace.&amp;nbsp; But for the queen, peace was 
-    her greatest gift to her 'loving people.'&amp;nbsp; She knew its importance, the 
-    dear price it had cost her.&amp;nbsp; 'To be a King and wear a crown is a thing 
-    more pleasant to them that see it, than it is pleasant to them that bear 
-    it,' she remarked in her Golden Speech of 1601.&lt;/p&gt;
-    &lt;p&gt;But she also knew those young courtiers disagreed, however much they 
-    fawned over her, pretending she was still the young queen of thirty.&amp;nbsp; 
-    Elizabeth was content to play the game for her vanity would not allow 
-    otherwise.&amp;nbsp; To grow old was a curse to her, she remarked; 'I am not 
-    sick, I feel no pain, yet I pine away.'&amp;nbsp; To have a young mind in an old 
-    body was another common lament.&amp;nbsp; She felt the loss of her youth keenly 
-    and did what she could to create a timeless role for herself.&amp;nbsp; She wore 
-    wigs and heavy make-up and still dressed in the opulent gowns of a maid, a 
-    fetching style when she was younger but now merely a reminder of her lack of 
-    marriage and family.&amp;nbsp; Her older subjects understood her melancholy; of 
-    the younger ones, Sir Walter Raleigh and Sir Francis Bacon were clever 
-    enough to guess its cause.&amp;nbsp; But most did not.&lt;/p&gt;
-    &lt;p&gt;And the queen no longer had the comfort of loyal Cecil and her beloved 
-    Dudley.&amp;nbsp; Though Dudley had commanded the troops at Tilbury, he had died 
-    barely a month afterwards.&amp;nbsp; Cecil was now very old and had ceded much 
-    of his influence to his ambitious son Robert and Sir Francis Walsingham, who 
-    died in 1590.&amp;nbsp; The queen thus turned to another favorite, a young man 
-    who was a last link to Dudley.&amp;nbsp; His name was Robert Devereux, earl of 
-    Essex; he was Dudley's stepson and his mother was Elizabeth's cousin, 
-    Lettice Knollys.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Essex remains one of the more interesting courtiers of Elizabeth's later 
-    years.&amp;nbsp; He was the mortal enemy of Raleigh (who found him arrogant and 
-    overbearing) and close friends with Bacon.&amp;nbsp; He became the great 
-    favorite of Elizabeth's later years because, for a while, he was the ablest 
-    flirt and wit at court.&amp;nbsp; But his ambitions went far beyond being the 
-    queen's 'wild-horse'.&amp;nbsp; In this, he was encouraged by his flighty mother 
-    and sycophantic admirers.&amp;nbsp;&amp;nbsp;&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Essex believed in the primacy of the nobility at Elizabeth's court and 
-    disliked the influence of Cecil and his son, Robert, and other 'upstarts' 
-    such as Raleigh.&amp;nbsp; He was too proud, which the queen - depending upon 
-    her mood - found endearing or infuriating.&amp;nbsp; And he dreamed of military 
-    glory, badgering the queen to send him to Ireland to quell rebellions or 
-    with the navy to harass Spanish ships.&amp;nbsp; Elizabeth often refused; she 
-    genuinely enjoyed his company and would not risk his life.&amp;nbsp; And when 
-    she did succumb, Essex performed disastrously.&amp;nbsp; Though a daring and 
-    brave soldier, he was a terrible commander and his exploits cost the frugal 
-    queen dearly.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;His worst offense, however, was a slip of the tongue.&amp;nbsp; Elizabeth 
-    would respond to Essex's tantrums by banishing him to the country until he 
-    begged forgiveness.&amp;nbsp; Once, he decided to pretend illness instead.&amp;nbsp; 
-    When news of his condition reached Elizabeth, she sent a letter asking after 
-    his health - but nothing more.&amp;nbsp; Someone mentioned the queen's 
-    conditions for letting him return.&amp;nbsp; Infuriated, Essex cried out, 'Her 
-    conditions!&amp;nbsp; Her conditions are as crooked as her carcase.'&amp;nbsp; Those 
-    words reached the queen and she never forgot them.&lt;/p&gt;
-    &lt;p&gt;Essex did return to court.&amp;nbsp; But his subsequent behavior was 
-    outlandish and insulting; he even dared to turn his back on Elizabeth during 
-    a council meeting.&amp;nbsp; The final blow came when he led a rebellion against 
-    the queen.&amp;nbsp; With his friend, the earl of Southampton, he planned to 
-    gather a small army and seize the queen and throne.&amp;nbsp; When captured, as 
-    inevitably he was, for his supporters were few and even those deserted him, 
-    Essex declared he only meant to save the queen from evil counsel.&amp;nbsp; But 
-    Elizabeth, who had so often vacillated over executions, only hesitated once 
-    with Essex.&amp;nbsp; He was executed on 25 February 1601.&lt;/p&gt;
-    &lt;p&gt;Despite scurrilous gossip, Elizabeth's affection for Essex was more 
-    maternal than romantic.&amp;nbsp; She had no choice but to sign his 
-    death-warrant but it broke her heart.&amp;nbsp; When her godson, Sir John 
-    Harington, visited in the winter of 1602, he found her taste for old 
-    pleasures gone.&amp;nbsp; Harington read some of his rhymes and Elizabeth, with 
-    a little smile, remarked, 'When thou dost feel creeping time at thy gate, 
-    these fooleries will please thee less; I am past my relish for such 
-    matters.'&amp;nbsp; To the earl of Nottingham, mourning the loss of his wife, 
-    she said, ' I am tied with a chain of iron about my neck.&amp;nbsp; I am tied, 
-    I am tied, and the case is altered with me.'&lt;/p&gt;
-    &lt;p&gt;She mentioned Essex at times, but this was merely a symptom of her 
-    awareness that all of the work and struggle of her reign had ended in 
-    solitude.&amp;nbsp; She had often remarked on the essential loneliness of the 
-    crown but she felt it most deeply now.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;Her council, led by Robert Cecil, whose father had died in 1601, watched 
-    her slow decline while preparing&lt;img border=&quot;0&quot; src=&quot;_httpdocimg_/eliz1-oldercrop.jpg&quot; lowsrc=&quot;http://englishhistory.net/tudor/portrait%20of%20Elizabeth%20I%20in%20old%20age&quot; alt=&quot;portrait of Elizabeth I in old age&quot; width=&quot;165&quot; height=&quot;171&quot; align=&quot;right&quot;&gt; for the future.&amp;nbsp; Elizabeth still had 
-    not named a successor.&amp;nbsp; She had always understood its dangerous 
-    implications.&amp;nbsp; Yet there was no real doubt that she meant for James VI 
-    of Scotland, son of Mary queen of Scots, to succeed her.&amp;nbsp; He had 
-    married a Protestant princess and was already a father.&amp;nbsp; And he had 
-    long since made his peace with Elizabeth, exchanging frequent letters and 
-    accepting her political advice.&lt;/p&gt;
-    &lt;p&gt;Elizabeth retired to Richmond Palace, her 'warm, snug box' in March 1603.&amp;nbsp; 
-    Her death was preceded by physical weakness and mental depression, but there 
-    were no overt causes.&amp;nbsp; She was almost seventy years old, ancient for 
-    her time.&amp;nbsp; She rested in a low chair by the fire, refusing to let 
-    doctors examine her.&amp;nbsp; As the days passed, her condition slowly 
-    worsened.&amp;nbsp; She stood for hours on end until, finally, she was persuaded 
-    to lay upon cushions on the floor.&amp;nbsp; She rested there for two days, not 
-    speaking.&amp;nbsp; A doctor ventured close and asked how she could bear the 
-    endless silence.&amp;nbsp; She replied simply, 'I meditate.'&amp;nbsp; For the third 
-    and fourth day, she continued to rest in silence, with a finger often in her 
-    mouth.&amp;nbsp; Her attendants were terrified; they must move her but she 
-    refused.&amp;nbsp; The younger Cecil visited and said, 'Your Majesty, to content 
-    the people, you must go to bed.'&amp;nbsp; Elizabeth replied, with some of her 
-    old spirit, 'Little man, little man, the word &lt;i&gt;must&lt;/i&gt; is not used to 
-    princes.'&lt;/p&gt;
-    &lt;p&gt;Finally, she grew so weak that they could carry her to bed.&amp;nbsp; She 
-    asked for music and, for a time, it brought some comfort.&amp;nbsp; Her 
-    councilors assembled; did she have any instructions regarding the 
-    succession?&amp;nbsp; She made a sign when Cecil mentioned the king of Scotland.&amp;nbsp; 
-    It was enough.&amp;nbsp; He returned to his office to begin the paperwork for a 
-    new ruler.&lt;/p&gt;
-    &lt;p&gt;Meanwhile, Archbishop Whitgift, whom she once called her 'little black 
-    husband', arrived to pray.&amp;nbsp; He was old and his knees ached terribly, 
-    but he knelt at the royal bedside until she finally slept.&amp;nbsp; She slept on into 
-    the early hours of 24 March until, at last, as the courtiers watched and 
-    waited, the steady breathing stopped.&amp;nbsp; 'Her Majesty departed this life, 
-    mildly like a lamb, easily like a ripe apple from the tree,' John Manningham 
-    was told.&lt;/p&gt;
-    &lt;p&gt;That same morning, the chief councilors rode to Whitehall where Cecil 
-    drafted the proclamation of the queen's death and James's succession.&amp;nbsp; 
-    He read it aloud first at Whitehall and then at St Paul's and finally 
-    Cheapside cross.&amp;nbsp; The councilors then formally demanded entrance to the 
-    Tower of London in the name of King James I of England.&amp;nbsp; Elizabeth's 
-    maids and ladies were still waiting in the Coffer Room at Richmond Palace.&amp;nbsp; 
-    When news of the peaceful transition of power came, they began to prepare 
-    for Elizabeth's funeral.&amp;nbsp; &lt;/p&gt;
-    &lt;p&gt;The new king received the news of his accession on 27 March, for the 
-    ambitious Robert Carey had ridden at top speed to Edinburgh; his journey was 
-    so quick that its speed would not be matched until 1832.&amp;nbsp; But while 
-    James was initially welcomed peacefully and happily, his reign would quickly 
-    turn sour.&amp;nbsp; It was not long before even Robert Cecil, who became the 
-    most powerful statesman of James's reign, wrote to Harington:&lt;/p&gt;
-      &lt;blockquote&gt;
-    &lt;p&gt;You know all my former steps: good knight, rest content, and give heed to 
-    one that hath sorrowed in the bright lustre of a court, and gone heavily 
-    even on the best-seeming fair ground.&amp;nbsp; Tis a great task to prove one's 
-    honesty, and yet not spoil one's fortune.&amp;nbsp; You have tasted a little 
-    hereof in our blessed Queen's time, who was more than a man and, in troth, 
-    sometimes less than a woman.&amp;nbsp; I wish I waited now in her Presence 
-    Chamber, with ease at my foot, and rest in my bed.&amp;nbsp; I am pushed from 
-    the shore of comfort, and know not where the winds and waves of a court may 
-    bear me.&lt;/p&gt;
-      &lt;/blockquote&gt;
-    &lt;p&gt;And the common people realized their loss as well, as Godfrey Goodman, 
-    bishop of Gloucester wrote:&lt;/p&gt;
-      &lt;blockquote&gt;
-    &lt;p&gt;After a few years, when we had experience of a Scottish government, the 
-    Queen did seem to revive; then was her memory much magnified: such ringing 
-    of bells, such public joy and sermons in commemoration of her, the picture 
-    of her tomb painted in many churches, and in effect more solemnity and joy 
-    in memory of her coronation than was for the coming-in of King James.&lt;/p&gt;
-      &lt;/blockquote&gt;
-    &lt;p&gt;Elizabeth's funeral procession, composed of more than a thousand 
-    mourners, began on 28 April.&amp;nbsp; It was a stirring tribute to the queen, 
-    never forgotten by those who witnessed its passing.&amp;nbsp; But her tomb, paid 
-    for by the new king, was less impressive than that provided to his disgraced 
-    mother, and cost far less.&amp;nbsp; It can still be visited in Westminster 
-    Abbey, where Elizabeth rests alongside her half-sister Queen Mary I.&amp;nbsp; &lt;/p&gt;
-    &lt;hr&gt;
-      &lt;/blockquote&gt;
-  &lt;/blockquote&gt;
-&lt;/blockquote&gt;
-
-      &lt;p align=&quot;center&quot;&gt;&lt;font size=&quot;4&quot;&gt;'My good mistress is gone, I shall not 
-    hastily put forth for a new master.'&lt;br&gt;&lt;/font&gt;&lt;i&gt;&lt;font size=&quot;2&quot;&gt;Sir John Harington, Nugae Antiquae&lt;/font&gt;&lt;/i&gt;&lt;/p&gt;
-      &lt;blockquote&gt;
-        &lt;blockquote&gt;
-          &lt;blockquote&gt;
-            &lt;hr&gt;
-      &lt;P align=&quot;center&quot;&gt;&lt;FONT size=-1&gt;&lt;A 
-      href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2fmonarchs.html&quot;&gt;to Tudor 
-      Monarchs&lt;/A&gt;&lt;BR&gt;
-      &lt;a href=&quot;_httpextlink_&amp;amp;rl=1&amp;amp;href=http:%2f%2fenglishhistory.net%2ftudor%2fmonarchs%2feliz4.html&quot;&gt;back to 
-      Queen Elizabeth I, part four&lt;/a&gt;&lt;/FONT&gt;&lt;B&gt;&lt;BR&gt;&lt;/B&gt;&lt;/P&gt;
-      &lt;P align=&quot;left&quot;&gt;&lt;font size=&quot;-1&quot;&gt;&lt;b&gt;Note:&lt;/b&gt; The complicated story of Robert 
-      Devereux, earl of Essex, is most beautifully told in Lytton Strachey's 
-      'Elizabeth and Essex: A Tragic History'.&amp;nbsp; Strachey often wanders far 
-      off course, and his psychological portrait of Elizabeth is flawed, but he 
-      writes like a dream.&amp;nbsp; As for conventional biographies of Elizabeth I, 
-      my favorite is by Lacey Baldwin Smith.&lt;br&gt;Thanks for 
-      exploring / reading my Queen Elizabeth I website.&amp;nbsp; &lt;i&gt;-Marilee&lt;/i&gt;&lt;/font&gt;&lt;/P&gt;
-          &lt;/blockquote&gt;
-        &lt;/blockquote&gt;
-&lt;/blockquote&gt;
-
-      &lt;P align=&quot;center&quot;&gt;&lt;i&gt;&lt;font size=&quot;2&quot;&gt;last 
-      revised 8 March 2004&lt;/font&gt;&lt;/i&gt;&lt;/P&gt;
-          
-
-
-&lt;!-- text below generated by server. PLEASE REMOVE --&gt;&lt;!-- Counter/Statistics data collection code --&gt;&lt;script language=&quot;JavaScript&quot; src=&quot;_httpextlink_&amp;amp;rl=0&amp;amp;href=http:%2f%2fhostingprod.com%2fjs%5fsource%2fgeov2.js&quot;&gt;&lt;/script&gt;&lt;script language=&quot;javascript&quot;&gt;geovisit();&lt;/script&gt;&lt;noscript&gt;&lt;img src=&quot;_httpextlink_&amp;amp;rl=0&amp;amp;el=direct&amp;amp;href=http://visit.webhosting.yahoo.com/visit.gif?us1108082767&quot; alt=&quot;setstats&quot; border=&quot;0&quot; width=&quot;1&quot; height=&quot;1&quot;&gt;&lt;/noscript&gt;
-&lt;IMG SRC=&quot;_httpextlink_&amp;amp;rl=0&amp;amp;el=direct&amp;amp;href=http://geo.yahoo.com/serv?s=76001524&amp;t=1108082767&quot; ALT=1 WIDTH=1 HEIGHT=1&gt;
-</Content>
-</Section>
-</Archive>