Index: main/trunk/greenstone3/build.xml
===================================================================
--- main/trunk/greenstone3/build.xml	(revision 28043)
+++ main/trunk/greenstone3/build.xml	(revision 28044)
@@ -737,5 +737,5 @@
             </exec>
 
-	    <exec executable="${gs2build.home}/bin/windows/which" os="${os.windows}" spawn="false" outputproperty="full.perl.path">
+	    <exec executable="${gs2build.home}/bin/windows/which" osfamily="windows" spawn="false" outputproperty="full.perl.path">
               <arg value="perl" />
             </exec>
@@ -1068,5 +1068,5 @@
   
   <target name="prepare-solr-ext" depends="init" >
-    <exec executable="ant.bat" os="${os.windows}" dir="${solr-ext.home}" spawn="false">
+    <exec executable="ant.bat" osfamily="windows" dir="${solr-ext.home}" spawn="false">
       <arg value="add-service"/>
     </exec>
@@ -1351,5 +1351,5 @@
       <env key="FEDORA_HOME" path="${fedora.home}"/>
     </exec>
-    <exec executable="${catalina.home}/bin/catalina.bat" os="${os.windows}" dir="${catalina.home}/bin" spawn="true">
+    <exec executable="${catalina.home}/bin/catalina.bat" osfamily="windows" dir="${catalina.home}/bin" spawn="true">
       <arg value="jpda" />
       <arg value="start" />
@@ -1392,5 +1392,7 @@
 
     <!-- using osfamily instead of testing os against os.windows list of recognised windows versions
-	 so that future windows versions are included. See http://simonharrer.wordpress.com/tag/osfamily/ -->
+	 so that future windows versions are included. See http://simonharrer.wordpress.com/tag/osfamily/ 
+	Can't use the osfamily test for linux-type machines as a group since osfamily=unix is separate from osfamily=mac,
+	see http://ant-contrib.sourceforge.net/tasks/tasks/osfamily.html -->
 
     <exec executable="${catalina.home}/bin/startup.sh" os="${os.unix}" dir="${catalina.home}/bin" spawn="false">
@@ -1553,11 +1555,11 @@
     </exec>
 
-    <exec executable="cmd" os="${os.windows}" dir="${catalina.home}/logs" spawn="false">
+    <exec executable="cmd" osfamily="windows" dir="${catalina.home}/logs" spawn="false">
       <arg line="/c echo. > catalina.out"/>
     </exec>
-    <exec executable="cmd" os="${os.windows}" dir="${web.writablehome}/logs" spawn="false">
+    <exec executable="cmd" osfamily="windows" dir="${web.writablehome}/logs" spawn="false">
       <arg line="/c echo. > greenstone.log"/>
     </exec>
-    <exec executable="cmd" os="${os.windows}" dir="${web.writablehome}/logs" spawn="false">
+    <exec executable="cmd" osfamily="windows" dir="${web.writablehome}/logs" spawn="false">
       <arg line="/c echo. > server.log"/>
     </exec>
@@ -2071,8 +2073,8 @@
          the "install" argument to copy the gdbmjava.dll into the correct location. -->
     <echo>Windows: compile javagdbm</echo>
-    <exec executable="${javagdbm.home}/winMake.bat" os="${os.windows}" dir="${javagdbm.home}" failonerror="true">	  
+    <exec executable="${javagdbm.home}/winMake.bat" osfamily="windows" dir="${javagdbm.home}" failonerror="true">	  
       <env key="GSDL3SRCHOME" path="${basedir}"/>
     </exec>
-    <exec executable="${javagdbm.home}/winMake.bat" os="${os.windows}" dir="${javagdbm.home}" failonerror="true">
+    <exec executable="${javagdbm.home}/winMake.bat" osfamily="windows" dir="${javagdbm.home}" failonerror="true">
       <env key="GSDL3SRCHOME" path="${basedir}"/>
       <arg value="install"/>
@@ -2237,5 +2239,5 @@
     </if>
     <!-- windows: -->    
-    <exec executable="nmake" dir="${common.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${common.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2252,5 +2254,5 @@
     </if>
     <!-- windows: distclean = clean + remove configure products (remove makefiles). But on Windows there is no removing makefiles, so we just call clean -->    
-    <exec executable="nmake" dir="${common.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${common.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2265,5 +2267,5 @@
     </exec>
     <!-- windows: -->
-    <exec executable="nmake" dir="${common.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${common.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2311,5 +2313,5 @@
       
     <!-- windows: -->
-    <exec executable="nmake" dir="${common.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${common.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2405,5 +2407,5 @@
       resolveExecutable="true" failonerror="true"/>
     <!-- windows -->
-    <exec executable="clean.bat" os="${os.windows}" dir="${gli.home}"
+    <exec executable="clean.bat" osfamily="windows" dir="${gli.home}"
       resolveExecutable="true" failonerror="true"/>
   </target>
@@ -2420,7 +2422,7 @@
 	    resolveExecutable="true" failonerror="true"/>
       <!-- windows -->
-      <exec executable="makegli.bat" os="${os.windows}" dir="${gli.home}" resolveExecutable="true" failonerror="true"/>
+      <exec executable="makegli.bat" osfamily="windows" dir="${gli.home}" resolveExecutable="true" failonerror="true"/>
       <!--remote gli-->
-      <exec executable="makejar.bat" os="${os.windows}" dir="${gli.home}"
+      <exec executable="makejar.bat" osfamily="windows" dir="${gli.home}"
 	    resolveExecutable="true" failonerror="true"/> 
       <copy file="${gli.home}/GLIServer.jar" todir="${gs2build.home}/bin/java" />
@@ -2438,5 +2440,5 @@
       <env key="DYLD_LIBRARY_PATH" path="${env.DYLD_LIBRARY_PATH}:${gdbm.home}/lib"/>
     </exec>
-    <exec executable="${basedir}/gli/gli.bat" os="${os.windows}" dir="${basedir}/gli" spawn="true">
+    <exec executable="${basedir}/gli/gli.bat" osfamily="windows" dir="${basedir}/gli" spawn="true">
       <env key="GSDL3PATH" path="${basedir}"/>
       <env key="GSDLPATH" path="${gs2build.home}"/>
@@ -2695,5 +2697,5 @@
     </if>
     <!-- windows: -->    
-    <exec executable="nmake" dir="${build.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${build.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2712,5 +2714,5 @@
     </if>
     <!-- windows: distclean = clean + remove configure products (remove makefiles). But on Windows there is no removing makefiles, so we just call clean -->    
-    <exec executable="nmake" dir="${build.src.home}" os="${os.windows}" failonerror="true">
+    <exec executable="nmake" dir="${build.src.home}" osfamily="windows" failonerror="true">
       <arg value="/f"/>
       <arg value="win32.mak"/>
@@ -2741,12 +2743,12 @@
 
     <!-- run the setup script -->
-    <!-- <exec executable="${compile.windows.c++.setup}" os="${os.windows}" failonerror="true"/>-->
+    <!-- <exec executable="${compile.windows.c++.setup}" osfamily="windows" failonerror="true"/>-->
       <!--Above does not work: even though vcvars.bat executes, the env changes it makes don't get saved. Need user to run vcvars.bat first before calling ant--> 
-      <exec executable="nmake" dir="${build.src.home}" os="${os.windows}" failonerror="true">
+      <exec executable="nmake" dir="${build.src.home}" osfamily="windows" failonerror="true">
         <arg value="/f"/>
         <arg value="win32.mak"/>
 	<arg value="GSDLHOME=${gs2build.home}"/>
       </exec>
-      <exec executable="nmake" dir="${build.src.home}" os="${os.windows}" failonerror="true">
+      <exec executable="nmake" dir="${build.src.home}" osfamily="windows" failonerror="true">
         <arg value="/f"/>
         <arg value="win32.mak"/>