Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Associated-Files/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472195
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Customization/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Customization/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472202
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Section-Tagging/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Demo-Section-Tagging/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472220
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Enhanced-PDF/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Enhanced-PDF/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472243
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/MARC-Exploded/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/MARC-Exploded/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472255
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/MARC-Singlefile/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/MARC-Singlefile/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472279
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Multimedia/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Multimedia/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376554116
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/PDFBox/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/PDFBox/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376554150
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Scanned-Img-Advanced/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Scanned-Img-Advanced/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472344
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Scanned-Img-Basic/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Scanned-Img-Basic/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472354
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Simple-Image/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472361
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Small-HTML/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Small-HTML/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472365
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Basic/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Basic/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472368
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Tudor-Enhanced/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472397
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Web-Tudor/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Web-Tudor/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472441
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Basic/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Basic/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472487
Index: her-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/earliestDatestamp
===================================================================
--- /other-projects/nightly-tasks/diffcol/trunk/model-collect/Word-PDF-Formatting/archives/earliestDatestamp	(revision 28074)
+++ 	(revision )
@@ -1,1 +1,0 @@
-1376472495